Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic
Class DefaultConstructionHeuristicSolverPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhase
          org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicSolverPhase

All Implemented Interfaces:
  EventListener, ConstructionHeuristicSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultConstructionHeuristicSolverPhase

extends AbstractSolverPhase
implements ConstructionHeuristicSolverPhase

Default implementation of `ConstructionHeuristicSolverPhase`.

Field Summary
`protected boolean` | `assertExpectedStepScore`
`protected boolean` | `assertStepScoreFromScratch`
`protected ConstructionHeuristicDecider` | `decider`
`protected EntityPlacer` | `entityPlacer`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, phaseIndex, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultConstructionHeuristicSolverPhase()`

Method Summary
`void` | `phaseEnded(ConstructionHeuristicSolverPhaseScope phaseScope)`
`void` | `phaseStarted(ConstructionHeuristicSolverPhaseScope phaseScope)`
`void` | `setAssertExpectedStepScore(boolean assertExpectedStepScore)`
`void` | `setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)`
`void` | `setDecider(ConstructionHeuristicDecider decider)`
`void` | `setEntityPlacer(EntityPlacer entityPlacer)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### entityPlacer

    protected EntityPlacer entityPlacer

### decider

    protected ConstructionHeuristicDecider decider

### assertStepScoreFromScratch

    protected boolean assertStepScoreFromScratch

### assertExpectedStepScore

    protected boolean assertExpectedStepScore

Constructor Detail

### DefaultConstructionHeuristicSolverPhase

    public DefaultConstructionHeuristicSolverPhase()

Method Detail

### setEntityPlacer

    public void setEntityPlacer(EntityPlacer entityPlacer)

### setDecider

    public void setDecider(ConstructionHeuristicDecider decider)

### setAssertStepScoreFromScratch

    public void setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)

### setAssertExpectedStepScore

    public void setAssertExpectedStepScore(boolean assertExpectedStepScore)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(ConstructionHeuristicSolverPhaseScope phaseScope)

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

### phaseEnded

    public void phaseEnded(ConstructionHeuristicSolverPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.